Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport.bio
Class MultipointBioSender

    java.lang.Object
      org.apache.catalina.tribes.transport.AbstractSender
          org.apache.catalina.tribes.transport.bio.MultipointBioSender

All Implemented Interfaces:
  DataSender, MultiPointSender

    public class MultipointBioSender

extends AbstractSender
implements MultiPointSender

Author:
  Filip Hanik

Field Summary
`protected java.util.HashMap` | `bioSenders`
`protected long` | `selectTimeout`

Constructor Summary
`MultipointBioSender()`

Method Summary
`void` | `add(Member member)`
`void` | `connect()`
`void` | `disconnect()`
`void` | `finalize()`
`boolean` | `keepalive()`
`void` | `remove(Member member)`
`void` | `sendMessage(Member[] destination, ChannelMessage msg)`
`protected BioSender[]` | `setupForSend(Member[] destination)`

Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender
`getAddress, getAttempt, getConnectTime, getDestination, getDirect, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, isConnected, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirect, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, transferProperties`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender
`setDirectBuffer, setMaxRetryAttempts, setRxBufSize, setTxBufSize`

Methods inherited from interface org.apache.catalina.tribes.transport.DataSender
`getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setTimeout`

Field Detail

### selectTimeout

    protected long selectTimeout

### bioSenders

    protected java.util.HashMap bioSenders

Constructor Detail

### MultipointBioSender

    public MultipointBioSender()

Method Detail

### sendMessage

    public void sendMessage(Member[] destination,
                            ChannelMessage msg)
                     throws ChannelException

  Specified by:
    `sendMessage` in interface `MultiPointSender`
  Throws:
    `ChannelException`

### setupForSend

    protected BioSender[] setupForSend(Member[] destination)
                                throws ChannelException

  Throws:
    `ChannelException`

### connect

    public void connect()
                 throws java.io.IOException

  Specified by:
    `connect` in interface `DataSender`
  Specified by:
    `connect` in class `AbstractSender`
  Throws:
    `java.io.IOException`

### add

    public void add(Member member)

  Specified by:
    `add` in interface `MultiPointSender`

### remove

    public void remove(Member member)

  Specified by:
    `remove` in interface `MultiPointSender`

### disconnect

    public void disconnect()

  Specified by:
    `disconnect` in interface `DataSender`
  Specified by:
    `disconnect` in class `AbstractSender`

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### keepalive

    public boolean keepalive()

  Specified by:
    `keepalive` in interface `DataSender`
  Overrides:
    `keepalive` in class `AbstractSender`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.